Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## STD
Class emos_std_win_lib

public class emos_std_win_lib

This library contains alternative implementations for standard functions that operate on windows (win_x() functions). Another sort of functions in this library are functions that implement some additional functionality that would probably fit into Mercury's logic for win_x() functions.

Stereotype compiled module

Method Summary
`int` | `EMOS_check_win_closed(in win, in timeout)` Waits for window to close.
`int` | `EMOS_set_window(in win1, in time1)` This function invokes win_activate() before calling set_window().
`int` | `EMOS_win_close_all(inout[] wins)` Attempts to close all given windows.

Method Detail

### EMOS_check_win_closed

    public int EMOS_check_win_closed(in win, in timeout)

  Waits for window to close.
  Parameters:
    win - (in) window name
    time - (in) (optional) timeout
  Returns: E_OK: success; window closed !E_OK: failure

### EMOS_set_window

    public int EMOS_set_window(in win1, in time1)

  This function invokes win_activate() before calling set_window(). It also takes care of the timeout (which does not normally work with win_activate()). If for some reason standard set_window() does not work, try this function before trying something else.
  Parameters:
    win - (in) window name
    time - (in) (optional) timeout
  Returns: E_OK: success !E_OK: failure

### EMOS_win_close_all

    public int EMOS_win_close_all(inout[] wins)

  Attempts to close all given windows.
  Parameters:
    wins - (inout[]) array indexed from 0 upwards containg names of windows to close
  Returns: returns E_OK if none of the specified windows existed by the time this function exited otherwise E_EXISTS is returned

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD